package com.parkingLot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author wu
 * @since 2024/12/17 14:29
 */
@Data
public class CarInfoDTO implements Serializable {

    private static final long serialVersionUID = 5405232225738524744L;

    /**
     * 车颜色
     */
    private String carColor;

    /**
     * 车辆类型
     */
    private String carStyle;

    /**
     * 固定车类型
     */
    private Integer carType;

    /**
     * 车辆进出场地点
     */
    private String entryPlace;

    /**
     * 入场时间  (yyyy-MM-dd HH:mm:ss)
     */
    private String entryTime;

    /**
     * 车辆进出场图片名称
     */
    private String imgName;

    /**
     * 图片信息类型：1：base64位图片信息；2=图片URL（可公网访问地址）0:没有图片信息
     */
    private Integer imgType;

    /**
     * 总停车时间（分钟）
     */
    private Integer parkingTime;

    /**
     * 车牌号，全车牌
     */
    private String plateNo;

    /**
     * 出入场唯一记录ID
     */
    private String trafficId;
}
